// pages/myFinance/index.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    nvabarData: {
      showCapsule: 0, //是否显示左上角图标，消息中心   1表示显示    0表示不显示
      showBack: 1, //返回
      title: '我的融资', //导航栏 中间的标题
      // 此页面 页面内容距最顶部的距离
      height: app.globalData.height * 2 + 20,
    },
    list: []
  },

  loadData: function () {
    let user = wx.getStorageSync('user')
    console.log('user',user._id)
    wx.request({
      method:"post",
      url: app.globalData.publicUrl + 'api/financial/intelligentDocking/dockingSearch',
      data: {uid:user._id},
      success:(e) => {
        console.log('success',e);
        if(e.data.errcode == 0){
          if (e.data.result.length > 0) {
            this.setData({
              list: e.data.result
            });
          }
        } else {
          wx.showToast({
            title: e.data.details?e.data.details:e.data.errmsg,
            icon: 'none',
            duration: 1500
        })
        }
      }
    })
  },
  // 页面跳转
  // 判断id
  bindtap: function (e) {
    console.log('id',e.currentTarget.id)
    wx.navigateTo({
      url: '/pages/myFinanceDetail/index?id=' + e.currentTarget.id // 希望跳转过去的页面    
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let user = wx.getStorageSync('user')
    console.log('user',user._id)
    if (user) {
      this.loadData();
    } else {
      wx.showToast({
        title: '登录失效',
        icon: 'none',
        duration: 1500
    })
    wx.navigateTo({
      url: '/pages/login/index'
    })
  }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})